# VectorNav C++ Library: vn::sensors::ImuFilteringConfigurationRegister Struct Reference

vn::sensors::ImuFilteringConfigurationRegister Struct Reference
Register Structures

Structure representing the IMU Filtering Configuration register. More...

`#include <registers.h>`

## Public Member Functions

| ImuFilteringConfigurationRegister (uint16_t magWindowSizeIn, uint16_t accelWindowSizeIn, uint16_t gyroWindowSizeIn, uint16_t tempWindowSizeIn, uint16_t presWindowSizeIn, protocol::uart::FilterMode magFilterModeIn, protocol::uart::FilterMode accelFilterModeIn, protocol::uart::FilterMode gyroFilterModeIn, protocol::uart::FilterMode tempFilterModeIn, protocol::uart::FilterMode presFilterModeIn)
| Creates an initializes a new ImuFilteringConfigurationRegister structure. More...

## Public Attributes

uint16_t | magWindowSize
| The magWindowSize field.
uint16_t | accelWindowSize
| The accelWindowSize field.
uint16_t | gyroWindowSize
| The gyroWindowSize field.
uint16_t | tempWindowSize
| The tempWindowSize field.
uint16_t | presWindowSize
| The presWindowSize field.
protocol::uart::FilterMode | magFilterMode
| The magFilterMode field.
protocol::uart::FilterMode | accelFilterMode
| The accelFilterMode field.
protocol::uart::FilterMode | gyroFilterMode
| The gyroFilterMode field.
protocol::uart::FilterMode | tempFilterMode
| The tempFilterMode field.
protocol::uart::FilterMode | presFilterMode
| The presFilterMode field.

## Detailed Description

Structure representing the IMU Filtering Configuration register.

## Constructor & Destructor Documentation

vn::sensors::ImuFilteringConfigurationRegister::ImuFilteringConfigurationRegister | ( | uint16_t | magWindowSizeIn,
|  | uint16_t | accelWindowSizeIn,
|  | uint16_t | gyroWindowSizeIn,
|  | uint16_t | tempWindowSizeIn,
|  | uint16_t | presWindowSizeIn,
|  | protocol::uart::FilterMode | magFilterModeIn,
|  | protocol::uart::FilterMode | accelFilterModeIn,
|  | protocol::uart::FilterMode | gyroFilterModeIn,
|  | protocol::uart::FilterMode | tempFilterModeIn,
|  | protocol::uart::FilterMode | presFilterModeIn
| ) |  |

inline

Creates an initializes a new ImuFilteringConfigurationRegister structure.

Parameters

  [in] | magWindowSizeIn | Value to initialize the magWindowSize field with.
  [in] | accelWindowSizeIn | Value to initialize the accelWindowSize field with.
  [in] | gyroWindowSizeIn | Value to initialize the gyroWindowSize field with.
  [in] | tempWindowSizeIn | Value to initialize the tempWindowSize field with.
  [in] | presWindowSizeIn | Value to initialize the presWindowSize field with.
  [in] | magFilterModeIn | Value to initialize the magFilterMode field with.
  [in] | accelFilterModeIn | Value to initialize the accelFilterMode field with.
  [in] | gyroFilterModeIn | Value to initialize the gyroFilterMode field with.
  [in] | tempFilterModeIn | Value to initialize the tempFilterMode field with.
  [in] | presFilterModeIn | Value to initialize the presFilterMode field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h